/*
 * Some common functions we do on wav files in this prog.
 *
 */

#include <stdint.h>

/** data structure that holds the wav head info in a form we can use **/

typedef struct {
  char            RiffID[4];
  uint32_t        RiffSize;
  char            WaveID[4];
  char            FmtID[4];
  uint32_t        FmtSize;
  u_short         wFormatTag;
  u_short         nChannels;
  uint32_t        nSamplesPerSec;
  uint32_t        nAvgBytesPerSec;
  u_short         nBlockAlign;
  u_short         wBitsPerSample;
  char            DataID[4];
  uint32_t        nDataBytes;
} WAVE_HEADER;

void create_wav_header(WAVE_HEADER *wav_header,
   int nChannels,int nSamplesPerSec,int wBitsPerSample);
short get_peak_value(short *start, short *end);
void get_stereo_peak_values(short *start, short *end, short *l, short *r);
void get_stereo_ave_values(short *start, short *end, short *l, short *r);
